### Constructor

# Clutter ColorStateParams new_from_cicp

#### Declaration [src]

    ClutterColorState*
    clutter_color_state_params_new_from_cicp (
      ClutterContext* context,
      const ClutterCicp* cicp,
      GError** error
    )

#### Description [src]

Create a new ClutterColorState object from a cicp tuple.

See ITU-T H.273 for the specifications of the numbers in the ClutterCicp struct.

#### Parameters

`context`

  Type: `ClutterContext`

  A clutter context.

  The data is owned by the caller of the function.

`cicp`

  Type: `ClutterCicp`

  The cicp tuple.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ClutterColorState`

A new ClutterColorState object.

The caller of the function takes ownership of the data, and is responsible for freeing it.